### Method

# Ggit Index remove

#### Declaration [src]

    gboolean
    ggit_index_remove (
      GgitIndex* idx,
      GFile* file,
      gint stage,
      GError** error
    )

#### Description [src]

Remove a file from the index (specified by position).

#### Parameters

`file`

  Type: `GFile`

  The file to search.

  The data is owned by the caller of the method.

`stage`

  Type: `gint`

  The stage to search.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file was successfully removed, `FALSE` otherwise.